Blog

自動アップデートでブログが真っ白になる事案が発生【追記あり】

Posted by admin at 11:20 日時 2013/12/12

ブログ記事を書こうと思ってアクセスしたらブログが真っ白になってました。

すごく…500です…

サーバーのコントロールパネルからエラーログを見たところ犯人が判明。

[Thu Dec 12 11:01:17 2013] [warn] mod_fcgid: stderr: PHP Parse error: syntax error, unexpected T_FUNCTION in /path/to/blog/wp-content/plugins/yet-another-related-posts-plugin/classes/YARPP_Widget.php on line 190

YARPPよ、おまえか

ちなみに、当ブログではこの記事で紹介した方法でWordPressのメジャーバージョンの自動アップデートとテーマ/プラグインの自動アップデートも有効にしております。

/**   * @since 2.0 Add as a widget   */  add_action('widgets_init', function(){register_widget('YARPP_Widget');});

ああ〜クロージャ使ってますね。PHP5.3以降の機能です。

こりゃPHPのバージョンを上げないと…。と思ってサーバーのヘルプを見た結果

Q. PHPは使えますか?パス、バージョンを知りたい。

A. 利用できます。

パス:/opt/php52/bin/php
バージョン:5.2.x (CGIモードのみ)

引っ越します!

追記

@waviaei さんに教えていただきました。YWARPP4.1.1で修正される模様です。

http://plugins.trac.wordpress.org/changeset/819255

でもまあ、PHP5.3にしたいので引っ越す


Share this entry

Blog Entry Topics